QGIS Application - Bug report #8599
QGIS trunk failed to build with PostgreSQL 9.3.0
2013-09-11 11:32 PM - Xavier Fung

Status: Closed

Priority: Normal

Assignee:

Category: Build/Install

Affected QGIS version:master Regression?: No
Operating System: Linux Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 17341
Description

Cannot build QGIS trunk version with PostgreSQL 9.3.0. The header file location has changed.

Scanning dependencies of target postgresprovider
[ 37%] Building CXX object src/providers/postgres/CMakeFiles/postgresprovider.dir/qgspostgresprovider.cpp.o
In file included from /usr/include/libpg-fe.h:29:0,

from /home/xavier/dev/qgis-git/src/qgis/src/providers/postgres/qgspostgresconn.h:31,

from /home/xavier/dev/qgis-git/src/qgis/src/providers/postgres/qgspostgresprovider.h:24,

from /home/xavier/dev/qgis-git/src/qgis/src/providers/postgres/qgspostgresprovider.cpp:32:
/usr/include/postgres_ext.h:26:27: fatal error: pg_config_ext.h: No such file or directory
#include "pg_config_ext.h"

A

compilation terminated.
make?: * [src/providers/postgres/CMakeFiles/postgresprovider.dir/qgspostgresprovider.cpp.o] Error 1
make!: [src/providers/postgres/CMakeFiles/postgresprovider.dir/all] Error 2
make: ** [all] Error 2

A temp workaround is to symlink pg_config_ext.h to /usr/include.

History

#1 - 2013-09-15 07:21 PM - Xavier Fung
- Status changed from Open to Closed

I can confirm that this is no longer an issue as an updated package from Arch added back the required header file.
